// guidefs.h	-thatcher 7/31/2000 Copyright Slingshot Game Technology

// ID definitions for UI elements.


#ifndef GUIDEFS_H
#define GUIDEFS_H


// Basics.
#define	GUI_OK	1
#define	GUI_ESC	2
#define	GUI_NEXT	3
#define	GUI_PREV	4



// VCR control.
#define	GUI_VCR_LOAD	100
#define	GUI_VCR_SAVE	101
#define	GUI_VCR_FFWD	102
#define	GUI_VCR_REW	103
#define	GUI_VCR_PLAY	104
#define	GUI_VCR_PAUSE	105
#define	GUI_VCR_SLOW	106
#define	GUI_VCR_RESTART	107
#define GUI_VCR_DISPLAY 110

// Camera control.
#define	GUI_CAM_CLOSE	200
#define	GUI_CAM_FAR	201
// ...

// Score summary.
#define GGID_PARTIME    301
#define GGID_YOURTIME   302
#define GGID_DIFTIME    303
#define GGID_YOURHIGHSCORE	304
#define GGID_LOCALHIGHSCORE	305
#define GGID_LOCALHIGHPLAYER	306
#define GGID_WORLDHIGHSCORE	307
#define GGID_WORLDHIGHPLAYER	308


// Run Info
#define GGID_RUNTITLE           400
#define GGID_RUNDESCRIPTION     401
#define GGID_RUNDROP            402

// Loading screen.
#define GGID_LOADINGMESSAGE	500

// Menu HUD
#define GGID_MENU_TITLE     600
#define GGID_PLAYER_NAME    601
#define GGID_MOUNTAIN_NAME  602

// Score
#define GGID_SCORE      1000
#define GGID_CURTIME    1001

#define GGID_BONUS_NUM  1010
#define GGID_BONUS_DESC 1011


#endif // GUIDEFS_H
